Cantera 2.6.0

Namespaces | Functions
ct2ctml.cpp File Reference

Driver for the system call to the python executable that converts cti files to ctml files (see Input File Handling). More...

`#include "cantera/base/ctml.h"`
`#include "cantera/base/stringUtils.h"`
`#include "cantera/base/ctexceptions.h"`
`#include "cantera/base/global.h"`
`#include "../../ext/libexecstream/exec-stream.h"`
`#include <cstdio>`
`#include <fstream>`
`#include <sstream>`
`#include <functional>`
Include dependency graph for ct2ctml.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
static string | pypath ()
| return the full path to the Python interpreter. More...
void | ct2ctml (const char *file, const int debug=0)
| Convert a cti file into a ctml file. More...
static std::string | call_ctml_writer (const std::string &text, bool isfile)
std::string | ct2ctml_string (const std::string &file)
| Get a string with the ctml representation of a cti file. More...
std::string | ct_string2ctml_string (const std::string &cti)
| Get a string with the ctml representation of a cti input string. More...
void | ck2cti (const std::string &in_file, const std::string &thermo_file="", const std::string &transport_file="", const std::string &id_tag="gas")
| Convert a Chemkin-format mechanism into a CTI file. More...

## Detailed Description

Driver for the system call to the python executable that converts cti files to ctml files (see Input File Handling).

Definition in file ct2ctml.cpp.